Web lists-archives.com

Re: [Samba] official package lists: the future




On 21/05/2019 20:15, Andrew Bartlett wrote:
On Tue, 2019-05-21 at 17:44 +0100, Rowland penny via samba wrote:
There was some talk of this happening automatically, but this seems
to
have not come to fruition yet.
It has.  See the bootstrap/ system in master.
Okay, I will

This hasn't been backported to Samba 4.10 however.
Seeing as how lots of people have been having problems building 4.10.x, don't you think backporting it might just be a good idea ?

The files in generated-dists are intended to be linkable from the wiki
as the definitive list of packages for a developer install, which will
always be a superset of packages needed in production.

So for 4.11 onwards we can finally get rid of the mostly-but-not-
entirely-accurate package lists in the wiki and replace with what we
test with.
I can see a problem already, whilst it is a good idea to always build the newest version of Samba, people are contrary, they will want to build earlier versions. This will possibly mean that the wikipage will not list the python2 packages required to build Samba 4.10.x and earlier.

Thanks,

Andrew Bartlett

Rowland



--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba